Create Campaign
curl --request POST \
--url https://api.usewave.co/api/v1/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "September Inbound Outbound",
"account_id": "<string>",
"sequence_id": "<string>",
"list_ids": [
"<string>"
],
"messagesPerDay": 20,
"workingDays": [
"MONDAY",
"TUESDAY",
"WEDNESDAY",
"THURSDAY",
"FRIDAY"
],
"workingHours": [
"09:00",
"18:00"
],
"increase_limit_gracefully": true,
"timezone": "UTC"
}
'import requests
url = "https://api.usewave.co/api/v1/campaigns"
payload = {
"title": "September Inbound Outbound",
"account_id": "<string>",
"sequence_id": "<string>",
"list_ids": ["<string>"],
"messagesPerDay": 20,
"workingDays": ["MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY"],
"workingHours": ["09:00", "18:00"],
"increase_limit_gracefully": True,
"timezone": "UTC"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'September Inbound Outbound',
account_id: '<string>',
sequence_id: '<string>',
list_ids: ['<string>'],
messagesPerDay: 20,
workingDays: ['MONDAY', 'TUESDAY', 'WEDNESDAY', 'THURSDAY', 'FRIDAY'],
workingHours: ['09:00', '18:00'],
increase_limit_gracefully: true,
timezone: 'UTC'
})
};
fetch('https://api.usewave.co/api/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"status": "LAUNCHED",
"active": true,
"messagesPerDay": 123,
"workingDays": [
"MONDAY"
],
"workingHours": [
"<string>"
],
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"increase_limit_gracefully": true,
"timezone": "<string>",
"lists": [],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}Campaigns
Create Campaign
Create a new outreach campaign that binds a sender Instagram account, a sequence, and audience lists into a scheduled run.
POST
/
api
/
v1
/
campaigns
Create Campaign
Authorizations
Enter your API key: wave_live_<token>
Body
application/json
Campaign title
Required string length:
1 - 150Example:
"September Inbound Outbound"
Connected Instagram account UUID to send from
Outreach sequence UUID to use
Target audience list UUIDs to process
Minimum array length:
1Maximum outbound messages per day (maximum limit is 60)
Required range:
1 <= x <= 60Days of the week to run outreach
Available options:
MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY Operating hours window [start, end] in 24-hour UTC format (e.g. ['09:00', '18:00'])
Gradually ramp up daily messaging limits for account safety
Operating timezone in standard IANA format (e.g. 'Asia/Kolkata', 'America/New_York'). Working hours run according to 24-hour UTC format.
Response
Successful Response
Campaign ID
Campaign title
Available options:
CREATED, LAUNCHED, PENDING, COMPLETED, MESSAGING_COMPLETED Available options:
MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY Attached audience list UUIDs